import { Key } from 'react';
import Group from 'choerodon-ui/dataset/data-set/Group';
import { ColumnProps } from './Column';
import ColumnGroups from './ColumnGroups';
import { ColumnLock } from './enum';
import TableStore from './TableStore';
import { TableGroup } from './Table';
export default class ColumnGroup {
    store: TableStore;
    column: ColumnProps;
    children?: ColumnGroups;
    childrenInAggregation?: ColumnGroups;
    parent: ColumnGroups;
    prev?: ColumnGroup;
    next?: ColumnGroup;
    key: Key;
    inView?: boolean | undefined;
    get lock(): ColumnLock | false;
    get rowSpan(): number;
    get colSpan(): number;
    get deep(): number;
    get hidden(): boolean;
    get lastLeaf(): ColumnGroup | undefined;
    get width(): number;
    get left(): number;
    get right(): number;
    get allLeafs(): ColumnGroup[];
    get leafs(): ColumnGroup[];
    get headerGroup(): Group | undefined;
    get headerGroups(): Group[] | undefined;
    get tableGroup(): TableGroup | undefined;
    constructor(column: ColumnProps, parent: ColumnGroups, store: TableStore);
    setInView(inView?: boolean): void;
}
